org.red5.server.api.statistics

## Interface IScopeStatistics

All Superinterfaces:
  IStatisticsBase

All Known Implementing Classes:
  GlobalScope, RoomScope, Scope, WebScope

    public interface IScopeStatistics
    extends IStatisticsBase

Statistical informations about a scope.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`int` `getActiveClients()` Return current number of clients connected to the scope.
`int` `getActiveConnections()` Return current number of connections to the scope.
`int` `getActiveSubscopes()` Return number of currently existing subscopes.
`int` `getDepth()` Get the scopes depth, how far down the scope tree is it.
`int` `getMaxClients()` Return maximum number of clients concurrently connected to the scope.
`int` `getMaxConnections()` Return maximum number of concurrent connections to the scope.
`int` `getMaxSubscopes()` Return maximum number of concurrently existing subscopes.
`String` `getName()` Get the name of this scope.
`String` `getPath()` Get the full absolute path.
`int` `getTotalClients()` Return total number of clients connected to the scope.
`int` `getTotalConnections()` Return total number of connections to the scope.
`int` `getTotalSubscopes()` Return total number of subscopes created.

### Methods inherited from interface org.red5.server.api.statistics.IStatisticsBase

`getCreationTime`

### Method Detail

#### getName

    String getName()

Get the name of this scope. Eg. `someroom`.

Returns:
  the name

#### getPath

    String getPath()

Get the full absolute path. Eg. `host/myapp/someroom`.

Returns:
  Absolute scope path

#### getDepth

    int getDepth()

Get the scopes depth, how far down the scope tree is it. The lowest depth is 0x00, the depth of Global scope. Application scope depth is 0x01. Room depth is 0x02, 0x03 and so forth.

Returns:
  the depth

#### getTotalConnections

    int getTotalConnections()

Return total number of connections to the scope.

Returns:
  number of connections

#### getMaxConnections

    int getMaxConnections()

Return maximum number of concurrent connections to the scope.

Returns:
  number of connections

#### getActiveConnections

    int getActiveConnections()

Return current number of connections to the scope.

Returns:
  number of connections

#### getTotalClients

    int getTotalClients()

Return total number of clients connected to the scope.

Returns:
  number of clients

#### getMaxClients

    int getMaxClients()

Return maximum number of clients concurrently connected to the scope.

Returns:
  number of clients

#### getActiveClients

    int getActiveClients()

Return current number of clients connected to the scope.

Returns:
  number of clients

#### getTotalSubscopes

    int getTotalSubscopes()

Return total number of subscopes created.

Returns:
  number of subscopes created

#### getMaxSubscopes

    int getMaxSubscopes()

Return maximum number of concurrently existing subscopes.

Returns:
  number of subscopes

#### getActiveSubscopes

    int getActiveSubscopes()

Return number of currently existing subscopes.

Returns:
  number of subscopes